package linux-image-generic 2.6.24.19.21 failed to install/upgrade: dependency problems - leaving unconfigured

Bug #241302 reported by Jeff Hollon on 2008-06-19
30
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: linux-image-generic

This error came about while doing an upgrade of Ubuntu 8.04 through SSH (from another Ubuntu machine). It still worked after reboot, so it was not a fatal error, but it did create this crash report. I ran apt-get update and then apt-get upgrade and this occurred.

lsb_release -rd
Description: Ubuntu 8.04
Release: 8.04

apt-cache policy linux-image-generic
linux-image-generic:
  Installed: 2.6.24.19.21
  Candidate: 2.6.24.19.21
  Version table:
 *** 2.6.24.19.21 0
        500 http://mirror.anl.gov hardy-updates/main Packages
        100 /var/lib/dpkg/status
     2.6.24.18.20 0
        500 http://security.ubuntu.com hardy-security/main Packages
     2.6.24.16.18 0
        500 http://mirror.anl.gov hardy/main Packages

ProblemType: Package
Architecture: i386
Date: Wed Jun 18 08:50:04 2008
DistroRelease: Ubuntu 8.04
ErrorMessage: dependency problems - leaving unconfigured
Package: linux-image-generic 2.6.24.19.21
PackageArchitecture: i386
SourcePackage: linux-meta
Title: package linux-image-generic 2.6.24.19.21 failed to install/upgrade: dependency problems - leaving unconfigured
Uname: Linux 2.6.24-19-generic i686

Jeff Hollon (jeffhollon) wrote :
Jeff Hollon (jeffhollon) wrote :
Download full text (3.7 KiB)

Here is what happens today when an upgrade (apt-get upgrade) is attempted:

sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  clamav clamav-base clamav-freshclam libclamav3 openssl-blacklist
5 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
Need to get 20.6MB of archives.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://security.ubuntu.com hardy-security/main openssl-blacklist 0.3.3+0.4-0ubuntu0.8.04.3 [6333kB]
Get:2 http://security.ubuntu.com hardy-security/universe clamav-base 0.92.1~dfsg2-1.1ubuntu0.1 [12.7MB]
Get:3 http://security.ubuntu.com hardy-security/universe libclamav3 0.92.1~dfsg2-1.1ubuntu0.1 [444kB]
Get:4 http://security.ubuntu.com hardy-security/universe clamav-freshclam 0.92.1~dfsg2-1.1ubuntu0.1 [218kB]
Get:5 http://security.ubuntu.com hardy-security/universe clamav 0.92.1~dfsg2-1.1ubuntu0.1 [894kB]
Fetched 20.6MB in 15s (1341kB/s)
Preconfiguring packages ...
(Reading database ... 172009 files and directories currently installed.)
Preparing to replace openssl-blacklist 0.3.3+0.4-0ubuntu0.8.04.1 (using .../openssl-blacklist_0.3.3+0.4-0ubuntu0.8.04.3_all.deb) ...
Unpacking replacement openssl-blacklist ...
Preparing to replace clamav-base 0.92.1~dfsg2-1.1 (using .../clamav-base_0.92.1~dfsg2-1.1ubuntu0.1_all.deb) ...
Unpacking replacement clamav-base ...
Preparing to replace libclamav3 0.92.1~dfsg2-1.1 (using .../libclamav3_0.92.1~dfsg2-1.1ubuntu0.1_i386.deb) ...
Unpacking replacement libclamav3 ...
Preparing to replace clamav-freshclam 0.92.1~dfsg2-1.1 (using .../clamav-freshclam_0.92.1~dfsg2-1.1ubuntu0.1_i386.deb) ...
 * Stopping ClamAV virus database updater freshclam [ OK ]
Unpacking replacement clamav-freshclam ...
Preparing to replace clamav 0.92.1~dfsg2-1.1 (using .../clamav_0.92.1~dfsg2-1.1ubuntu0.1_i386.deb) ...
Unpacking replacement clamav ...
Setting up linux-ubuntu-modules-2.6.24-19-generic (2.6.24-19.27) ...
update-initramfs: Generating /boot/initrd.img-2.6.24-19-generic

gzip: stdout: No space left on device
update-initramfs: failed for /boot/initrd.img-2.6.24-19-generic
dpkg: error processing linux-ubuntu-modules-2.6.24-19-generic (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-ubuntu-modules-2.6.24-19-generic; however:
  Package linux-ubuntu-modules-2.6.24-19-generic is not configured yet.
dpkg: error processing linux-image-generic (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-image-generic (= 2.6.24.19.21); however:
  Package linux-image-generic is not configured yet.
dpkg: error processing linux-generic (--configure):
 dependency problems - leaving unconfigured
Setting up openssl-blacklist (0.3.3+0.4-0ubuntu0.8.04.3) ...
Setting up clamav-base (0.92.1~dfsg2-1.1ubuntu0.1) ...

Setti...

Read more...

Bibo (massimiliano-segreto) wrote :

Setting up linux-image-2.6.24-21-generic (2.6.24-21.43) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.24-21-generic

gzip: stdout: No space left on device
update-initramfs: failed for /boot/initrd.img-2.6.24-21-generic
Failed to create initrd image.
dpkg: error processing linux-image-2.6.24-21-generic (--configure):
 subprocess post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-ubuntu-modules-2.6.24-21-generic:
 linux-ubuntu-modules-2.6.24-21-generic depends on linux-image-2.6.24-21-generic; however:
  Package linux-image-2.6.24-21-generic is not configured yet.
dpkg: error processing linux-ubuntu-modules-2.6.24-21-generic (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-2.6.24-21-generic; however:
  Package linux-image-2.6.24-21-generic is not configured yet.
 linux-image-generic depends on linux-ubuntu-modules-2.6.24-21-generic; however:
  Package linux-ubuntu-modules-2.6.24-21-generic is not configured yet.
dpkg: error processing linux-image-generic (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-image-generic (= 2.6.24.21.23); however:
  Package linux-image-generic is not configured yet.
dpkg: error processing linux-generic (--configure):
 dependency problems - leaving unconfigured
Setting up apt-utils (0.7.9ubuntu17.1) ...

Setting up xserver-xorg-video-intel (2:2.2.1-1ubuntu13.7) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 linux-image-2.6.24-21-generic
 linux-ubuntu-modules-2.6.24-21-generic
 linux-image-generic
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

alparras (alparras) wrote :

Hi:

i had the same error when try to update:

Errors were encountered while processing:
 linux-image-2.6.24-21-generic
 linux-ubuntu-modules-2.6.24-21-generic
 linux-image-generic
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

i managed to find what that error is produced on grub update, because i have gfxboot, instead original grub, and update-grub script not run properly, so i edit file /etc/kernel-img.conf and change lines

postinst_hook = update-grub
postrm_hook = update-grub

to

postinst_hook = update-grub.real
postrm_hook = update-grub.real

and that's all!, now kernel configure properly.

On Fri, Nov 21, 2008 at 9:26 AM, alparras <email address hidden> wrote:
> Hi:
>
> i had the same error when try to update:
>
> Errors were encountered while processing:
> linux-image-2.6.24-21-generic
> linux-ubuntu-modules-2.6.24-21-generic
> linux-image-generic
> linux-generic
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> i managed to find what that error is produced on grub update, because i
> have gfxboot, instead original grub, and update-grub script not run
> properly, so i edit file /etc/kernel-img.conf and change lines
>
> postinst_hook = update-grub
> postrm_hook = update-grub
>
> to
>
> postinst_hook = update-grub.real
> postrm_hook = update-grub.real
>
> and that's all!, now kernel configure properly.
>
> --
> package linux-image-generic 2.6.24.19.21 failed to install/upgrade: dependency problems - leaving unconfigured
> https://bugs.launchpad.net/bugs/241302
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "linux-meta" source package in Ubuntu: New
>
> Bug description:
> Binary package hint: linux-image-generic
>
> This error came about while doing an upgrade of Ubuntu 8.04 through SSH (from another Ubuntu machine). It still worked after reboot, so it was not a fatal error, but it did create this crash report. I ran apt-get update and then apt-get upgrade and this occurred.
>
> lsb_release -rd
> Description: Ubuntu 8.04
> Release: 8.04
>
> apt-cache policy linux-image-generic
> linux-image-generic:
> Installed: 2.6.24.19.21
> Candidate: 2.6.24.19.21
> Version table:
> *** 2.6.24.19.21 0
> 500 http://mirror.anl.gov hardy-updates/main Packages
> 100 /var/lib/dpkg/status
> 2.6.24.18.20 0
> 500 http://security.ubuntu.com hardy-security/main Packages
> 2.6.24.16.18 0
> 500 http://mirror.anl.gov hardy/main Packages
>
> ProblemType: Package
> Architecture: i386
> Date: Wed Jun 18 08:50:04 2008
> DistroRelease: Ubuntu 8.04
> ErrorMessage: dependency problems - leaving unconfigured
> Package: linux-image-generic 2.6.24.19.21
> PackageArchitecture: i386
> SourcePackage: linux-meta
> Title: package linux-image-generic 2.6.24.19.21 failed to install/upgrade: dependency problems - leaving unconfigured
> Uname: Linux 2.6.24-19-generic i686
>

Great, thank you!

SapphirePaw (sapphirepaw) wrote :

> gzip: stdout: No space left on device
> update-initramfs: failed for /boot/initrd.img-2.6.24-19-generic

It is possible that /boot is out of space. I had this error trying to install linux-image-2.6.27-11-generic (on Intrepid). Since Aptitude wanted to try to install the new version before trying to delete old ones, I had to rm some files there associated with old kernels, then remove those kernel packages. A painful way to handle an inevitable situation (since linux-image-* is never removed, and I have a separate /boot because / is on LVM), with no help from the package managers.

Since this bug turned up in a web search, I'm leaving this comment here for anyone else who may find it...

security vulnerability: yes → no
Ed (edc-1969) wrote :

I had the same problems "leaving unconfigured"...

The /boot partition was to blame as it didn't have enough free space for the new files as well as all the backup files from previous updates.

[This is an automated message. Apologies if it has reached you inappropriately.]

This bug was reported against the linux-meta package when it likely should have been reported against the linux package instead. We are automatically transitioning this to the linux kernel package so that the appropriate teams are notified and made aware of this issue. Thanks.

affects: linux-meta (Ubuntu) → linux (Ubuntu)

Indeed it looks like you ran out of disk space according to DpkgTerminalLog.gz . Closing this bug as it's not a kernel issue.

Changed in linux (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers